# Uses of Enum
org.eclipse.birt.chart.model.attribute.AxisType

Packages that use AxisType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of AxisType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type AxisType
Modifier and Type
Field
Description
`static final List<AxisType>`
AxisType.`VALUES`
A public read-only list of all the 'Axis Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return AxisType
Modifier and Type
Method
Description
`static AxisType`
AxisType.`get(int value)`
Returns the 'Axis Type' literal with the specified integer value.
`static AxisType`
AxisType.`get(String literal)`
Returns the 'Axis Type' literal with the specified literal value.
`static AxisType`
AxisType.`getByName(String name)`
Returns the 'Axis Type' literal with the specified name.
`static AxisType`
AxisType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AxisType[]`
AxisType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of AxisType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return AxisType
Modifier and Type
Method
Description
`AxisType`
AttributeFactoryImpl.`createAxisTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`AxisType`
AttributeFactoryImpl.`createAxisTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of AxisType in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return AxisType
Modifier and Type
Method
Description
`AxisType`
Axis.`getType()`
Returns the value of the 'Type' attribute.
Methods in org.eclipse.birt.chart.model.component with parameters of type AxisType
Modifier and Type
Method
Description
`void`
Axis.`setType(AxisType value)`
Sets the value of the '`Type`' attribute.

## Uses of AxisType in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return AxisType
Modifier and Type
Method
Description
`AxisType`
AxisImpl.`getType()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type AxisType
Modifier and Type
Method
Description
`void`
AxisImpl.`setType(AxisType newType)`